Package com.sas.lsaf.content.repository

## Class SearchQuery

- java.lang.Object
- - com.sas.lsaf.content.repository.SearchQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SearchQuery
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the information to search for repository items. To search file content, call setTypeId with one of these types:
  - `TypeConstants.TYPE_FILE`
  - `TypeConstants.TYPE_PDF`
  - `TypeConstants.TYPE_SAS_PROGRAM`
  - `TypeConstants.TYPE_JOB`
  Note: Because job files contain XML content, only attribute values are searched.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearchQuery()` | The zero-argument constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getContent()` | Gets the string to query the contents of files that are of the type specified in object type.
    `RepositoryItem.Syncable` | `getCopyToWorkspaceStatus()` | Gets the `RepositoryItem.Syncable` enumeration which controls workspace copy behavior for a specific repository node.
    `java.lang.String` | `getCreatedBy()` | Gets the identifier of the user who created the item.
    `java.util.Date` | `getFromCreated()` | Gets the start date of the range for the creation date of the item.
    `java.util.Date` | `getFromLastModifiedDate()` | Gets the start date of the range for the last modified date of the item.
    `java.lang.String` | `getLastModifiedBy()` | Gets the identifier of the user who last modified the item.
    `java.lang.String` | `getLocation()` | Gets the location of the item.
    `java.lang.String` | `getName()` | Gets the name of the item.
    `java.lang.String` | `getOwner()` | Sets the identifier of the owner of the item.
    `java.util.Date` | `getToCreated()` | Gets the end date of the range for the creation date of the item.
    `java.util.Date` | `getToLastModifiedDate()` | Gets the end date of the range for the last modified date of the item.
    `java.lang.String` | `getTypeId()` | Gets the object type of the item.
    `int` | `hashCode()` |
    `void` | `setContent​(java.lang.String content)` | Sets the string to query the contents of files that are of the type specified in object type.
    `void` | `setCopyToWorkspaceStatus​(RepositoryItem.Syncable copyToWorkspaceStatus)` | Sets the `RepositoryItem.Syncable` enumeration which controls workspace copy behavior for a specific repository node.
    `void` | `setCreatedBy​(java.lang.String createdBy)` | Sets the identifier of the user who created the item.
    `void` | `setFromCreated​(java.util.Date fromCreated)` | Sets the start date of the range for the creation date of the item.
    `void` | `setFromLastModifiedDate​(java.util.Date fromLastModifiedDate)` | Sets the start date of the range for the last modified date of the item.
    `void` | `setLastModifiedBy​(java.lang.String lastModifiedBy)` | Sets the identifier of the user who last modified the item.
    `void` | `setLocation​(java.lang.String location)` | Sets the location of the item.
    `void` | `setName​(java.lang.String name)` | Sets the name of the item.
    `void` | `setOwner​(java.lang.String owner)` | Sets the identifier of the owner of the item.
    `void` | `setToCreated​(java.util.Date toCreated)` | Sets the end date of the range for the creation date of the item.
    `void` | `setToLastModifiedDate​(java.util.Date toLastModifiedDate)` | Sets the end date of the range for the last modified date of the item.
    `void` | `setTypeId​(java.lang.String typeId)` | Sets the object type of the item.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchQuery

          public SearchQuery()

      The zero-argument constructor.

  - ### Method Detail

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the identifier of the user who last modified the item.
      Returns:
        The identifier of the user who last modified the item.

    - #### setLastModifiedBy

          public void setLastModifiedBy​(java.lang.String lastModifiedBy)

      Sets the identifier of the user who last modified the item. Supports wildcards.
      Parameters:
        `lastModifiedBy` - The identifier of the user who last modified the item.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the identifier of the user who created the item.
      Returns:
        The identifier of the user who created the item.

    - #### setCreatedBy

          public void setCreatedBy​(java.lang.String createdBy)

      Sets the identifier of the user who created the item. Supports wildcards.
      Parameters:
        `createdBy` - The identifier of the user who created the item.

    - #### getTypeId

          public java.lang.String getTypeId()

      Gets the object type of the item.
      Returns:
        The object type of the item.

    - #### setTypeId

          public void setTypeId​(java.lang.String typeId)

      Sets the object type of the item.
      Parameters:
        `typeId` - The object type of the item.

    - #### getName

          public java.lang.String getName()

      Gets the name of the item.
      Returns:
        The name of the item.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the item. Supports wildcards.
      Parameters:
        `name` - The name of the item.

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location of the item.
      Returns:
        The location of the item.

    - #### setLocation

          public void setLocation​(java.lang.String location)

      Sets the location of the item. Wildcards are not supported in location.
      Parameters:
        `location` - The location.

    - #### getFromCreated

          public java.util.Date getFromCreated()

      Gets the start date of the range for the creation date of the item.
      Returns:
        The start date of the range for the creation date of the item.

    - #### setFromCreated

          public void setFromCreated​(java.util.Date fromCreated)

      Sets the start date of the range for the creation date of the item.
      Parameters:
        `fromCreated` - The start date of the range for the creation date of the item.

    - #### getToCreated

          public java.util.Date getToCreated()

      Gets the end date of the range for the creation date of the item.
      Returns:
        The end date of the range for the creation date of the item.

    - #### setToCreated

          public void setToCreated​(java.util.Date toCreated)

      Sets the end date of the range for the creation date of the item.
      Parameters:
        `toCreated` - The end date of the range for the creation date of the item.

    - #### getFromLastModifiedDate

          public java.util.Date getFromLastModifiedDate()

      Gets the start date of the range for the last modified date of the item.
      Returns:
        The start date of the range for the last modified date of the item.

    - #### setFromLastModifiedDate

          public void setFromLastModifiedDate​(java.util.Date fromLastModifiedDate)

      Sets the start date of the range for the last modified date of the item.
      Parameters:
        `fromLastModifiedDate` - The start date of the range for the last modified date of the item.

    - #### getToLastModifiedDate

          public java.util.Date getToLastModifiedDate()

      Gets the end date of the range for the last modified date of the item.
      Returns:
        The end date of the range for the last modified date of the item.

    - #### setToLastModifiedDate

          public void setToLastModifiedDate​(java.util.Date toLastModifiedDate)

      Sets the end date of the range for the last modified date of the item.
      Parameters:
        `toLastModifiedDate` - The end date of the range for the last modified date of the item.

    - #### getContent

          public java.lang.String getContent()

      Gets the string to query the contents of files that are of the type specified in object type. To search file content, setObjectType must be called with one of these types:
      - `TypeConstants.TYPE_FILE`
      - `TypeConstants.TYPE_PDF`
      - `TypeConstants.TYPE_SAS_PROGRAM`
      - `TypeConstants.TYPE_JOB`
      Returns:
        The string to query the contents of files that are of the type specified in object type

    - #### setContent

          public void setContent​(java.lang.String content)

      Sets the string to query the contents of files that are of the type specified in object type. Supports wild cards. To search file content, setTypeId must be called with one of these types:
      - `TypeConstants.TYPE_FILE`
      - `TypeConstants.TYPE_PDF`
      - `TypeConstants.TYPE_SAS_PROGRAM`
      - `TypeConstants.TYPE_JOB`
      Parameters:
        `content` - the string to query the contents of files that are of the type specified in object type

    - #### getOwner

          public java.lang.String getOwner()

      Sets the identifier of the owner of the item.
      Returns:
        The identifier of the owner of the item.

    - #### setOwner

          public void setOwner​(java.lang.String owner)

      Sets the identifier of the owner of the item. Supports wildcards.
      Parameters:
        `owner` - The identifier of the owner of the item.

    - #### getCopyToWorkspaceStatus

          public RepositoryItem.Syncable getCopyToWorkspaceStatus()

      Gets the `RepositoryItem.Syncable` enumeration which controls workspace copy behavior for a specific repository node.
      Returns:
        The enumeration which controls workspace copy behavior for a specific repository node

    - #### setCopyToWorkspaceStatus

          public void setCopyToWorkspaceStatus​(RepositoryItem.Syncable copyToWorkspaceStatus)

      Sets the `RepositoryItem.Syncable` enumeration which controls workspace copy behavior for a specific repository node.
      Parameters:
        `copyToWorkspaceStatus` - the enumeration that controls workspace copy behavior for a specific repository node

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`